--- man-1.5j/src/util.c.unsafe	2003-01-06 16:09:08.000000000 -0500
+++ man-1.5j/src/util.c	2003-01-06 16:12:55.000000000 -0500
@@ -28,6 +28,8 @@
 #include "gripes.h"
 #include "man.h"		/* for debug */
 
+#define NOT_SAFE "<unsafe shell command>"   /* should never appear */
+
 /*
  * Extract last element of a name like /foo/bar/baz.
  */
@@ -230,6 +232,11 @@
       */
      if (debug & 1) 
 	  gripe (NO_EXEC, command);
+     else if (strstr(command, NOT_SAFE) != NULL)
+         /* don't execute the string NOT_SAFE to prevent accidental
+          * execution of trojans named NOT_SAFE
+          */
+         gripe (NO_EXEC, command);
      else
 	  status = my_system (command);
 
@@ -260,7 +267,6 @@
  * Result: allocates a new string containing the sprintf result.
  * The %S parameters are checked for being shell safe.
  */
-#define NOT_SAFE "unsafe"
 
 static int
 is_shell_safe(char *ss) {
